<?php
/**
 * The Template for displaying all single posts.
 *
 * @package blogists
 */

get_header(); ?>
	
	<?php if (get_header_image()) : ?>
		<img src="<?php header_image(); ?>" alt="">
	<?php else : ?>
		<img src="<?php echo get_template_directory_uri(); ?>/img/default-header-image.jpg" alt="<?php the_title(); ?>">
	<?php endif; ?>

	<div class="breadcrumb">
		<div class="container-fluid">
			<div class="rows">
				<?php echo blogists_breadcrumbs(); ?>
			</div>
		</div>
	</div>

	<div class="home-page">
		<div class="container-fluid">
			<div class="rows">

				<div class="col-md-8">
					<?php while ( have_posts() ) : the_post(); ?>
						<?php get_template_part( 'content', 'single' ); ?>
						<?php blogists_content_nav( 'nav-below' ); ?>
						<?php blogists_pagination_bars(); ?>
						<?php
							// If comments are open or we have at least one comment, load up the comment template
							if ( comments_open() || '0' != get_comments_number() )
								comments_template();
						?>
					<?php endwhile; // end of the loop. ?>
				</div>
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
<?php get_footer(); ?>